#include <iostream>
#include <vector>
#include <array>
#include <map>
#include <algorithm>

using namespace std;
#define ll long long
const ll INF = 1e15;

void solve() {
    int n, k;
    cin >> n >> k;
    vector <int> a(n);
    for (int i = 0; i < n; ++i) cin >> a[i];

    vector <ll> cur_imp(k);
    vector <int> cur_len(k);

    for (int i = 0; i < k; ++i) {
        cur_imp[i] = a[i] + 1;
        cur_len[i] = 1;
    }

    for (int i = k; i < n; ++i) {
        int opt = -1;
        ll delta = -INF;

        for (int j = 0; j < k; ++j) {
            ll me = a[i] + cur_len[j] + 1;
            if (delta < me - cur_imp[j]) {
                opt = j;
                delta = me;
            }
        }

        cur_len[opt]++;
        cur_imp[opt] = max(cur_imp[opt], 0ll + cur_len[opt] + a[i]);
    }

    ll ans = 0;
    for (auto i : cur_imp) ans += i;
    cout << ans;
}


signed main() {
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    int tt = 1;
//    cin >> tt;
    while (tt--) {
        solve();
    }
}

/*
 *
 */
